//+------------------------------------------------------------------+
//|                                                      MTF_.mq4 |
//|                                      Copyright  2006, Keris2112 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Keris2112"
#property link      "http://www.forex-tsd.com"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 LightSeaGreen



//---- input parameters
/*************************************************************************
PERIOD_M1   1
PERIOD_M5   5
PERIOD_M15  15
PERIOD_M30  30 
PERIOD_H1   60
PERIOD_H4   240
PERIOD_D1   1440
PERIOD_W1   10080
PERIOD_MN1  43200
You must use the numeric value of the timeframe that you want to use
when you set the TimeFrame' value with the indicator inputs.
---------------------------------------
PRICE_CLOSE    0 Close price. 
PRICE_OPEN     1 Open price. 
PRICE_HIGH     2 High price. 
PRICE_LOW      3 Low price. 
PRICE_MEDIAN   4 Median price, (high+low)/2. 
PRICE_TYPICAL  5 Typical price, (high+low+close)/3. 
PRICE_WEIGHTED 6 Weighted close price, (high+low+close+close)/4. 
You must use the numeric value of the Applied Price that you want to use
when you set the 'applied_price' value with the indicator inputs.
**************************************************************************/

extern int TimeFrame=0;
extern int applied_price=0;

extern string  note_Price = "0C 1O 2H 3L 4Md 5Tp 6WghC: Md(HL/2)4,Tp(HLC/3)5,Wgh(HLCC/4)6";
extern string  TimeFrames = "M1;5,15,30,60H1;240H4;1440D1;10080W1;43200MN|0-CurrentTF";


double ExtMapBuffer1[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {

//---- indicator line
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(0,DRAW_LINE);
   
//---- name for DataWindow and indicator subwindow label
   switch(TimeFrame)
   {
      case 1  : string  TimeFrameStr="M1";   break;
      case 5  :         TimeFrameStr="M5";   break;
      case 15 :         TimeFrameStr="M15";  break;
      case 30 :         TimeFrameStr="M30";  break;
      case 60 :         TimeFrameStr="H1";   break;
      case 240  :       TimeFrameStr="H4";   break;
      case 1440 :       TimeFrameStr="D1";   break;
      case 10080 :      TimeFrameStr="W1";   break;
      case 43200 :      TimeFrameStr="MN";   break;
      default :         TimeFrameStr="TF0";
   }
   IndicatorShortName("OBV ["+TimeFrameStr+"] ");
   TimeFrame=MathMax(TimeFrame,Period());

   return(0);
  }
//----
 
//+------------------------------------------------------------------+
//| MTF                                             |
//+------------------------------------------------------------------+
int start()
  {
   datetime TimeArray[];
   int    i,limit,y=0,counted_bars=IndicatorCounted();
 
// Plot defined time frame on to current time frame
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   limit=Bars-counted_bars;
   limit=MathMax(limit,TimeFrame/Period());
   
   for(i=0,y=0;i<limit;i++)
   {
   if (Time[i]<TimeArray[y]) y++;

/***********************************************************   
   Add your main indicator loop below.  You can reference an existing
      indicator with its iName  or iCustom.
   Rule 1:  Add extern inputs above for all neccesary values   
   Rule 2:  Use 'TimeFrame' for the indicator time frame
   Rule 3:  Use 'y' for your indicator's shift value
 **********************************************************/  
 
   ExtMapBuffer1[i]=iOBV(NULL,TimeFrame, applied_price,y);
   
   }  
     
//
   
  
  
   return(0);
  }
//+------------------------------------------------------------------+